curl https://zeplo.ai/api/team/members \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "Agent Smith",
"email": "agent@example.com",
"role": "team",
"status": "active",
"permissions": ["inbox:view", "contacts:view", "messages:send"],
"lastActiveAt": "2026-01-15T14:00:00Z",
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
Teams
GET List Team Members
Retrieve team members with their roles and permissions.
GET
/
api
/
team
/
members
curl https://zeplo.ai/api/team/members \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "Agent Smith",
"email": "agent@example.com",
"role": "team",
"status": "active",
"permissions": ["inbox:view", "contacts:view", "messages:send"],
"lastActiveAt": "2026-01-15T14:00:00Z",
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
List team members
GET /api/team/members
Retrieve all team members for the authenticated user’s workspace.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/team/members \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "Agent Smith",
"email": "agent@example.com",
"role": "team",
"status": "active",
"permissions": ["inbox:view", "contacts:view", "messages:send"],
"lastActiveAt": "2026-01-15T14:00:00Z",
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
Get activity logs
GET /api/team/activity-logs
curl "https://zeplo.ai/api/team/activity-logs?page=1&limit=20" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
